abstract class OTPState {}

class OTPInitial extends OTPState {}

class OTPLoading extends OTPState {}

class OTPLoaded extends OTPState {}

class OTPFailed extends OTPState {
  final String failedmessage;

  OTPFailed(this.failedmessage);
}

class OTPError extends OTPState {
  final String errormessage;

  OTPError(this.errormessage);
}
